package cn.com.ty.lift.ud.batchUtils;

import cn.com.ty.lift.common.aliservice.aliyunoss.AliyunOSS;
import cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoEntity;
import cn.com.ty.lift.ud.schoolVideo.service.ISchoolVideoService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api/batch-video")
public class VideoBatchUploadUtil {
    @Autowired
    private ISchoolVideoService schoolVideoService;

    @GetMapping
    public RestResponse bindVideo(@RequestParam String ossDir) {
        //"电梯资料[2021]/电梯资料2021/东芝系列资料/直梯/使用手册/"
        List<String> filesUrl = AliyunOSS.me().listObjects("ty-oss-file", ossDir);
        filesUrl.forEach(fileUrl -> {
            SchoolVideoEntity schoolVideoEntity = new SchoolVideoEntity();
            schoolVideoEntity.setUrl(fileUrl);
            schoolVideoEntity.setTitle(fileUrl.substring(fileUrl.lastIndexOf("/") + 1));
            schoolVideoEntity.setStatuz(0);
            schoolVideoEntity.setCheckFlag(2);
            schoolVideoEntity.setPlatformFlag(0);
            schoolVideoEntity.setCover(null);
            schoolVideoEntity.setDescr(null);
            schoolVideoEntity.setUserId(1L);


            schoolVideoService.save(schoolVideoEntity);
        });
        return RestResponse.success(filesUrl);
    }
}
